@extends('adminlte::page')

@section('title', 'Socio')

{{-- @section('content_header')
    <h1>Crear Socio</h1>
@stop --}}

@section('content')
    <div style="display:none;" id="loader"></div>
    <div id="DivPrincipal">
        <form id="socio_form" method="post" enctype="multipart/form-data">
            @csrf
            <div class="container-fluid p-2">
                <div class="row">
                    <!-- left column -->
                    <div class="col-md-6">
                        <h3><i class="fa fa-th" aria-hidden="true"></i> Mantenimiento de Socios</h3>
                    </div>

                    <div class="col-md-6">
                        <br><br>
                        <div class="float-right">
                            <button type="button" class="btn btn-primary" id="busquedaVeh" data-toggle="modal"
                                onclick="CargarBusquedaSocio()"> <i class="fas fa-search"></i>
                                Buscar
                            </button>
                            <button type="submit" class="btn btn-info toastrDefaultSuccess"> <i class="fas fa-save">
                                    Grabar</i></button>
                            <button type="button" class="btn btn-danger" onclick="Limpiar()"> <i class="fas fa-trash">
                                    Limpiar</i></button>
                        </div>

                    </div>
                </div>
            </div>
            <div class="row">
                <!-- general form elements -->
                <div class="col-md-6">
                    <div class="card card-primary">
                        <div class="card-header">
                            <h3 class="card-title">Datos Basicos</h3>
                        </div>

                        <!-- /.card-header -->
                        <div class="card-body">
                            <input id="id_socio" name="id_socio" hidden value="0">

                            <input name="_token" type="hidden" class="form-control" name='_token' id="_token"
                                value="{{ csrf_token() }}">
                            <div class="row">
                                <div class="col-sm-6">
                                    <!-- text input -->
                                    <div class="form-group">
                                        <label>Tipo Identidad</label>
                                        <select class="form-control" name='tipodoc' id="tipodoc">
                                            <option value="C">Cédula</option>
                                            <!--<option value="R">Ruc</option>-->
                                        </select>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group" id="grupo__usuario">
                                        <label>No.Identificación</label>
                                        <input type="text" class="form-control" name='identificacion' id="identificacion"
                                            placeholder="Identificación" data-inputmask="'mask': '9999999999' "required>
                                        <p class="formulario__input-error">No.identifiacion invalido.</p>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Nombres</label>
                                        <input type="text" class="form-control" placeholder="Ingrese Nombres" required
                                            name='nombre' id="nombre" maxlength="31" onkeypress="return check(event)">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Apellidos</label>
                                        <input type="text" class="form-control" placeholder="Ingrese Apellidos" required
                                            name='apellido' id="apellido" maxlength="31" onkeypress="return check(event)">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-6">
                                    <!-- text input -->
                                    <div class="form-group">
                                        <label>Nacionalidad</label>
                                        <select class="form-control" name='nacionalidad' id="nacionalidad">
                                            @foreach ($nacionalidad as $datos)
                                                <option value="{{ $datos->id_codigo }}">{{ $datos->nombre }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <!-- text input -->
                                    <div class="form-group">
                                        <label>Estado Civil</label>
                                        <select class="form-control" name='estadocivil' id="estadocivil">
                                            <option value="Soltero">Soltero/a</option>
                                            <option value="Casado">Casado/a</option>
                                            <option value="Viudo">Viudo/a</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Telefono Convencional</label>
                                        <input type="text" class="form-control" placeholder="Ingrese Telefono" required
                                            name='telefono' id="telefono" data-inputmask="'mask': '9999999999' ">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Celular</label>
                                        <input type="text" class="form-control" placeholder="Ingrese Celular" required
                                            name='celular' id="celular" data-inputmask="'mask': '9999999999' ">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Fecha Nacimiento</label>
                                        <input name="fechanacimiento" type="date" class="form-control"
                                            id="fechanacimiento">
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Edad</label>
                                        <input type="number" class="form-control" value="0" disabled
                                            name='edad' id="edad">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.card -->
                <div class="col-md-6">
                    <!-- Form Element sizes -->
                    <div class="card card-success">
                        <div class="card-header bg-warning">
                            <h3 class="card-title">Otros Datos</h3>
                        </div>
                        <div class="card-body">

                            <div class="row">
                                <div class="col-sm-6">
                                    <!-- text input -->
                                    <div class="form-group">
                                        <label>Sexo</label>
                                        <select class="form-control" name='sexo' id="sexo">
                                            <option value="M">Masculino</option>
                                            <option value="F">Femenino</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <!-- text input -->
                                    <div class="form-group">
                                        <label>Estado</label>
                                        <select class="form-control" name='estado' id="estado">
                                            <option value="A">Activo</option>
                                            <option value="I">Inactivo</option>

                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Correo Electronico</label>
                                        <input type="email" class="form-control"
                                            placeholder="Ingrese Correo Electronico" name='correo' id="correo"
                                            required>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Dirección Domiciliaria</label>
                                        <input type="text" class="form-control" placeholder="Ingrese Dirección"
                                            name='direccion' id="direccion" required>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Emisión Licencia: </label>
                                        <input name="emilicencia" type="date" class="form-control" id="emilicencia">
                                    </div>

                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label>Caducidad Licencia: </label>
                                        <input name="cadulicencia" type="date" class="form-control" id="cadulicencia">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-6">
                                    <!-- text input -->
                                    <div class="form-group">
                                        <label>Tipo Licencia</label>
                                        <select class="form-control" name='idtipolicencia' id="idtipolicencia">
                                            <option value="C">Tipo C</option>
                                            <option value="E">Tipo E</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label for="exampleInputFile">Licencia</label>
                                        <div class="input-group">
                                            <div class="custom-file">
                                                <input type="file" hi class="custom-file-input" accept=".pdf"
                                                    name='archivo2' id="archivo2">
                                                <div class="input-group-append">
                                                    <span class="input-group-text">Seleccionar</span>
                                                </div>
                                                <label class="custom-file-label"
                                                    for="exampleInputFile">Seleccionar</label>
                                                {{-- <label class="custom-file-label" for="exampleInputFile">Seleccionar</label> --}}
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">

                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label for="exampleInputFile">Datos Identificación</label>
                                        <div class="input-group">
                                            <div class="custom-file">
                                                <input type="file" class="custom-file-input" accept=".pdf"
                                                    name='archivo1' id="archivo1">
                                                <label class="custom-file-label"
                                                    for="exampleInputFile">Seleccionar</label>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label for="exampleInputFile">Ingreso: </label>
                                        <div class="input-group">
                                            <div class="custom-file">
                                                <input type="file" class="custom-file-input" accept=".pdf"
                                                    name='archivo3' id="archivo3">
                                                <label class="custom-file-label"
                                                    for="exampleInputFile">Seleccionar</label>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <label>Observación</label>
                                <textarea class="form-control" placeholder="Ingresar Observación" name='observacion' id="observacion"></textarea>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div class="card card-success" id="card_reports_socio" name="card_reports_socio">
        <div class="card-header bg-warning">
            <h3 class="card-title">Documentos Ingresados</h3>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="col-sm-4 text-center">
                    <div class="form-group">
                        <label for="exampleInputFile">Datos Identificación</label>
                        <div class="input-group justify-content-center">
                            <button type="button" class="btn btn-info toastrDefaultSuccess" onclick="verificarPdf(1)">
                                <i class="fas fa-eye">
                                    Ver Pdf</i></button>

                        </div>
                    </div>
                </div>
                <div class="col-sm-4 text-center">
                    <div class="form-group">
                        <label for="exampleInputFile">Licencia</label>
                        <div class="input-group justify-content-center">
                            <button type="button" class="btn btn-info toastrDefaultSuccess " onclick="verificarPdf(2)">
                                <i class="fas fa-eye">
                                    Ver Pdf</i></button>

                        </div>
                    </div>
                </div>
                <div class="col-sm-4 text-center">
                    <div class="form-group">
                        <label for="exampleInputFile">Ingreso</label>
                        <div class="input-group justify-content-center">
                            <button type="button" class="btn btn-info toastrDefaultSuccess" onclick="verificarPdf(3)">
                                <i class="fas fa-eye">
                                    Ver Pdf</i></button>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
    <div class="modal fade" id="modal-xl">
        <div class="modal-dialog modal-xl">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"> <i class="fas fa-search"> </i> Búsqueda de Socios</h4>
                    <button id="CloseModal" type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <!--<p>One fine body&hellip;</p>-->
                    <div class="row">
                        <div class="col-12">

                            <!-- /.card -->
                            <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title"></h3>
                                </div>
                                <!-- /.card-header -->
                                <div class="card-body">
                                    <table id="tblBuscarVehiculos" class="table table-bordered table-striped">
                                        <thead>
                                            <tr>
                                                <th style="display:none;">IdSocio</th>
                                                <th>Identificacion</th>
                                                <th>Nombres</th>
                                                <th>Apellidos</th>
                                                <th>Estado</th>
                                                <th style="display:none;">estadocivil</th>
                                                <th style="display:none;">nacionalidad</th>
                                                <th style="display:none;">telefono</th>
                                                <th style="display:none;">celular</th>
                                                <th style="display:none;">fechanacimiento</th>
                                                <th style="display:none;">sexo</th>
                                                <th style="display:none;">correo</th>
                                                <th style="display:none;">direccion</th>
                                                <th style="display:none;">observacion</th>
                                                <th style="display:none;">tipolicencia</th>
                                                <th style="display:none;">cadulicencia</th>

                                            </tr>
                                        </thead>
                                        <tfoot>

                                        </tfoot>
                                    </table>
                                </div>
                                <!-- /.card-body -->
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer justify-content-between">
                    <!--<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                                                                                                                                              <button type="button" class="btn btn-primary">Save changes</button>-->
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
@stop

@section('css')
    <link rel="stylesheet" href="{{ asset('css\mantenimiento\socio\estilos_socio.css') }}">
@stop

@section('js')
    <!--<script src="{{ asset('js\mantenimientos\socio\mantenimiento_socio.js') }}"></script>-->
    <script>
        const inputIdentificacion = document.getElementById("identificacion");
        const inputTipoDoc = document.getElementById("tipodoc");
        const formulario = document.getElementById("socio_form");
        bsCustomFileInput.init();

        const validarCedula = (cedula) => {
            try {
                var auxCedula = cedula;
                if (auxCedula.length !== 10) {
                    return false;
                }
                var primeros2 = +auxCedula.substr(0, 2);
                if (primeros2 < 1 || primeros2 > 24) {
                    return false;
                }
                var digitoVerificador = +auxCedula.split("").slice(-1);
                var coeficientes_1 = [2, 1, 2, 1, 2, 1, 2, 1, 2];
                var sumaT = auxCedula
                    .substr(0, 9)
                    .split("")
                    .reduce(function(p, c, i) {
                        var aux = 0;
                        var mult = +c * coeficientes_1[i];
                        aux = mult > 9 ? mult - 9 : mult;
                        return p + aux;
                    }, 0);
                var residuo = sumaT % 10;
                return residuo === 0 ?
                    digitoVerificador === 0 :
                    10 - residuo === digitoVerificador;
            } catch (error) {
                return false;
            }
        };
        const validarRuc = (ruc) => {
            if (ruc.length == 13) {
                if (ruc.substring(10, 13) == "001") {
                    return true;
                } else {
                    return false;
                }
            } else {
                return false;
            }
        };
        const validarIdentificacion = (e) => {
            if (inputTipoDoc.value == "C" && e.target.value.length >= 1) {
                const respuesta = validarCedula(e.target.value);
                if (!respuesta) {
                    document
                        .querySelector(`#grupo__usuario .formulario__input-error`)
                        .classList.add("formulario__input-error-activo");
                } else {
                    document
                        .querySelector("#grupo__usuario .formulario__input-error")
                        .classList.remove("formulario__input-error-activo");
                }
            } else if (inputTipoDoc.value == "R" && e.target.value.length >= 1) {
                const respuesta = validarRuc(e.target.value);
                if (!respuesta) {
                    document
                        .querySelector(`#grupo__usuario .formulario__input-error`)
                        .classList.add("formulario__input-error-activo");
                } else {
                    document
                        .querySelector("#grupo__usuario .formulario__input-error")
                        .classList.remove("formulario__input-error-activo");
                }
            }
        };
        const validarIdentificacionSelect = (e) => {
            if (e.target.value == "C" && inputIdentificacion.value.length >= 10) {
                const respuesta = validarCedula(inputIdentificacion.value);
                if (!respuesta) {
                    document
                        .querySelector(`#grupo__usuario .formulario__input-error`)
                        .classList.add("formulario__input-error-activo");
                } else {
                    document
                        .querySelector("#grupo__usuario .formulario__input-error")
                        .classList.remove("formulario__input-error-activo");
                }
            } else if (
                e.target.value == "R" &&
                inputIdentificacion.value.length >= 10
            ) {
                const respuesta = validarRuc(inputIdentificacion.value);
                if (!respuesta) {
                    document
                        .querySelector(`#grupo__usuario .formulario__input-error`)
                        .classList.add("formulario__input-error-activo");
                } else {
                    document
                        .querySelector("#grupo__usuario .formulario__input-error")
                        .classList.remove("formulario__input-error-activo");
                }
            }
        };
        const validacionGeneral = (tipo = "C") => {
            console.log(tipo);
            console.log(inputIdentificacion.value.length);
            if (tipo == "C" && inputIdentificacion.value.length >= 0) {
                const respuesta = validarCedula(inputIdentificacion.value);
                if (!respuesta) {
                    return false;
                }
            } else if (tipo == "R" && inputIdentificacion.value.length >= 0) {
                const respuesta = validarRuc(inputIdentificacion.value);
                if (!respuesta) {
                    return false;
                }
            } else {
                return false;
            }
            return true;
        };

        function DeshabilitaDatosSocios(valor) {
            if (valor) {
                document.getElementById("identificacion").readOnly = true;
                document.getElementById("nombre").readOnly = true;
                document.getElementById("apellido").readOnly = true;
                document.getElementById("fechanacimiento").readOnly = true;
                $('#tipodoc').attr('disabled', true);
                $('#sexo').attr('disabled', true);
                $('#nacionalidad').attr('disabled', true);
            } else {
                document.getElementById("identificacion").readOnly = false;
                document.getElementById("nombre").readOnly = false;
                document.getElementById("apellido").readOnly = false;
                document.getElementById("fechanacimiento").readOnly = false;
                $('#tipodoc').attr('disabled', false);
                $('#sexo').attr('disabled', false);
                $('#nacionalidad').attr('disabled', false);
            }


        }

        //ocultar documentos reportes
        function OcultaDocumentos() {
            var x = document.getElementById("card_reports_socio");
            var id = parseInt(document.getElementById("id_socio").value);
            //console.log('id '+id);
            if (x.style.display === "none") {

                if (id > 0) {
                    x.style.display = "block";
                }

            } else {
                if (id == 0) {
                    x.style.display = "none";
                }

            }
        }
        OcultaDocumentos();

        inputIdentificacion.addEventListener("keyup", validarIdentificacion);
        inputTipoDoc.addEventListener("change", validarIdentificacionSelect);
        $("form#socio_form").submit(function(e) {
            e.preventDefault();
            MostrarLoader();
            DeshabilitaDatosSocios(false);
            // validacion de camposdocument.getElementById("edad").value = parseInt(diffDays);
            const edad = document.getElementById("edad").value;
            const validado = validacionGeneral(inputTipoDoc.value);
            console.log(validado);
            if (!validado) {
                OcultarLoader();
                toastr.error("Ingrese un numero de identificación valido.!!");
            } else {
                if (edad < 18) {
                    OcultarLoader();
                    toastr.error("Debe se mayor de edad!!");
                } else {
                    const formData = new FormData(this);
                    jQuery.each(jQuery("#socio_form")[0].files, function(i, file) {
                        formData.append("file-" + i, file);
                    });
                    $.ajax({
                        url: "/mantenimiento/crearsocio",
                        type: "POST",
                        data: formData,
                        success: function(data) {
                            OcultarLoader();
                            if (data.status == "ok") {
                                toastr.success(data.message);
                                document.getElementById("id_socio").value = 0;
                                OcultaDocumentos();
                                setTimeout(function() {
                                    location.reload();
                                }, 1000);
                            } else {
                                toastr.error(data.message);
                            }
                        },
                        cache: false,
                        contentType: false,
                        processData: false,
                    });
                }
            }
        });

        document.getElementById("id_socio").value = 0;

        $('[data-mask]').inputmask()
        //PLACA
        // Initialize InputMask
        $('input').inputmask();

        $("#fechanacimiento").change(function() {
            const diffDays = dameAnio();
            document.getElementById("edad").value = parseInt(diffDays);
        });
        const dameAnio = () => {
            const inputfecha = document.getElementById("fechanacimiento").value;
            const date1 = new Date(inputfecha);
            const date2 = new Date();
            const diffDays =
                parseInt(date2.getFullYear()) - parseInt(date1.getFullYear());
            return diffDays;
        };

        function CargarBusqueda() {
            $('#tblBuscarVehiculos').DataTable({
                "processing": true,
                "destroy": true,
                "serverSide": true,
                "responsive": true,
                "lengthChange": false,
                "autoWidth": false,
                "select": true,
                "buttons": ['copy', 'csv', 'excel', 'print', {
                    extend: 'pdfHtml5',
                    exportOptions: {
                        modifier: {
                            page: 'current'
                        }
                    },
                    text: 'PDF',
                    filename: 'socios',
                    pageSize: 'A4',
                    'title': 'socios',
                    className: 'btn btn-danger',
                    titleAttr: 'socios',
                    orientation: 'landscape',

                }],
                //"ajax": "{{ url('/buscarVehiculos') }}",
                "ajax": {
                    'url': 'buscarSocios',
                    'headers': {
                        'Content-Type': 'application/json',
                        "X-CSRF-Token": $("meta[name='csrf-token']").attr("content")
                    }
                },
                "columns": [{
                        data: 'id_ente',
                        visible: false,
                    },
                    {
                        data: 'num_docum_iden'
                    },
                    {
                        data: 'p_primer_nombre'
                    },
                    {
                        data: 'p_primer_apellido'
                    },
                    {
                        data: 'activo'
                    },
                    {
                        data: 'p_estado_civil',
                        visible: false,
                        searchable: false,
                    },
                    {
                        data: 'p_nacionalidad',
                        visible: false,
                        searchable: false,
                    },
                    {
                        data: 'p_telefono',
                        visible: false,
                        searchable: false,
                    },
                    {
                        data: 'p_celular',
                        visible: false,
                        searchable: false,
                    },
                    {
                        data: 'p_fecha_nacimiento',
                        visible: false,
                        searchable: false,
                    },
                    {
                        data: 'p_sexo',
                        visible: false,
                        searchable: false,
                    },
                    {
                        data: 'p_correo',
                        visible: false,
                        searchable: false,
                    },
                    {
                        data: 'p_direccion',
                        visible: false,
                        searchable: false,
                    },
                    {
                        data: 'observacion',
                        visible: false,
                        searchable: false,
                    },
                    {
                        data: 'tipolicencia',
                        visible: false,
                        searchable: false,
                    },
                    
                    {
                        data: 'emilicencia',
                        visible: false,
                        searchable: false,
                    },
                    {
                        data: 'cadulicencia',
                        visible: false,
                        searchable: false,
                    },

                ],
                "language": {
                    "lengthMenu": "Mostrar _MENU_ registros por página",
                    "zeroRecords": "No se encontró nada - lo siento",
                    "info": "Mostrando la página _PAGE_ de _PAGES_",
                    "infoEmpty": "No hay registros disponibles",
                    "infoFiltered": "(filtrado de _MAX_ registros totales)",
                    "search": "Buscar Socio:",
                    "paginate": {
                        "previous": "Anterior",
                        "next": "siguiente"
                    }
                },

            }).buttons().container().appendTo('#tblBuscarVehiculos_wrapper .col-md-6:eq(0)');

            var table = $('#tblBuscarVehiculos').DataTable();
            $('#tblBuscarVehiculos tbody').on('click', 'tr', function() {
                var row = table.row(this).data();
                CargarDatosSelect(row);
            });

        }

        CargarBusqueda();


        function CargarBusquedaSocio() {
            var table = $('#tblBuscarVehiculos').DataTable();
            table.ajax.reload();

            $("#modal-xl").modal('show');

            $('#tblBuscarVehiculos').DataTable({
                "destroy": true,
                "retrieve": true,
                "buttons": ['copy', 'csv', 'excel', 'pdf', 'print'],
            }).buttons().container().appendTo('#tblBuscarVehiculos_wrapper .col-md-6:eq(0)');

        }

        function CargarDatosSelect(item) {
            document.getElementById("id_socio").value = item.id_ente;
            document.getElementById("identificacion").value = item.num_docum_iden ?? '0';
            document.getElementById("nombre").value = item.p_primer_nombre ?? '0';
            document.getElementById("apellido").value = item.p_primer_apellido ?? '0';
            $("#nacionalidad").val(item.p_nacionalidad).change();
            $("#estadocivil").val(item.p_estado_civil).change();
            document.getElementById("telefono").value = item.p_telefono ?? '0';
            document.getElementById("celular").value = item.p_celular ?? '0';
            document.getElementById("fechanacimiento").value = format2(item.p_fecha_nacimiento);
            document.getElementById("cadulicencia").value = format2(item.cadulicencia);
            document.getElementById("emilicencia").value = format2(item.emilicencia);
            $("#sexo").val(item.p_sexo).change(); 
            document.getElementById("correo").value = item.p_correo ?? '0';
            document.getElementById("direccion").value = item.p_direccion ?? '0';
            document.getElementById("observacion").value = item.observacion ?? '0';
            $("#idtipolicencia").val(item.tipolicencia).change();
            $("#estado").val(item.activo).change();
            const date1 = new Date(format2(item.p_fecha_nacimiento));
            const date2 = new Date();
            const diffDays =
                parseInt(date2.getFullYear()) - parseInt(date1.getFullYear());
            document.getElementById("edad").value = diffDays;
            $("#modal-xl").modal('hide');
            //CambiarBotonGuardar();
            // setTimeout(function() {
            //     $("#modelo").val(item.IdModelo).change();
            // }, 500);
            OcultaDocumentos();
            DeshabilitaDatosSocios(true);
        }

        function format(inputDate) {
            let fecha = new Date(inputDate);
            let date, month, year;

            date = fecha.getDate() + 1;
            month = fecha.getMonth() + 1;
            year = fecha.getFullYear();

            date = date
                .toString()
                .padStart(2, '0');

            month = month
                .toString()
                .padStart(2, '0');

            return `${date}/${month}/${year}`;
        }

        function format2(inputDate) {
            let fecha = new Date(inputDate);
            let date, month, year;

            date = fecha.getDate();
            month = fecha.getMonth() + 1;
            year = fecha.getFullYear();

            date = date
                .toString()
                .padStart(2, '0');

            month = month
                .toString()
                .padStart(2, '0');

            return `${year}-${month}-${date}`;
        }

        //const Limpiar = () => formulario.reset(); OcultaDocumentos();
        const Limpiar = () => {
            document.getElementById("id_socio").value = 0;
            formulario.reset();
            OcultaDocumentos();
            DeshabilitaDatosSocios(false);
        }



        function check(e) {
            tecla = (document.all) ? e.keyCode : e.which;

            //Tecla de retroceso para borrar, siempre la permite
            if (tecla == 8) {
                return true;
            }

            // Patrón de entrada, en este caso solo acepta letras
            patron = /[A-Za-zÑñ ]/;
            //patron = /[A-Za-z0-9]/;para letras y numeros
            tecla_final = String.fromCharCode(tecla);
            return patron.test(tecla_final);
        }
        const verificarPdf = (tipo) => {
            console.log($('#id_socio').val());
            if ($('#id_socio').val() == "") {
                toastr.error("Escoja el usuario.!!");
            } else {
                window.open("/mostrarArchivo/" + $('#id_socio').val() + "/" + tipo);
            }
        }
    </script>
@stop
